declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly showBg: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly showTotal: {
        readonly type: import("vue").PropType<Function>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly isShowTotal: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly prevIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly nextIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly pagingStyle: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "outline" | "simple" | "solid", unknown, "simple", boolean>;
    readonly alignment: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "left" | "right" | "center", unknown, "left", boolean>;
    readonly isGray: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
}>, {
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        readonly showBg: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly showTotal: {
            readonly type: import("vue").PropType<Function>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly isShowTotal: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly prevIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
        readonly nextIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
        readonly pagingStyle: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "outline" | "simple" | "solid", unknown, "simple", boolean>;
        readonly alignment: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "left" | "right" | "center", unknown, "left", boolean>;
        readonly isGray: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    }>> & Readonly<{}> & {}>;
    attrs: import("vue").Attrs;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly showBg: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly showTotal: {
        readonly type: import("vue").PropType<Function>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly isShowTotal: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly prevIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly nextIcon: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly pagingStyle: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "outline" | "simple" | "solid", unknown, "simple", boolean>;
    readonly alignment: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "left" | "right" | "center", unknown, "left", boolean>;
    readonly isGray: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
}>> & Readonly<{}>, {
    readonly prevIcon: string;
    readonly nextIcon: string;
    readonly isGray: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly showBg: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly isShowTotal: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly pagingStyle: import("ll-plus/es/utils").EpPropMergeType<StringConstructor, "outline" | "simple" | "solid", unknown>;
    readonly alignment: import("ll-plus/es/utils").EpPropMergeType<StringConstructor, "left" | "right" | "center", unknown>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
